# Uses of Class
net.shibboleth.shared.xml.XMLParserException

Packages that use XMLParserException
Package
Description
net.shibboleth.shared.xml
APIs for parsing and using XML.
net.shibboleth.shared.xml.impl
XML implementation classes.

## Uses of XMLParserException in net.shibboleth.shared.xml

Methods in net.shibboleth.shared.xml that throw XMLParserException
Modifier and Type
Method
Description
`DocumentBuilder`
ParserPool.`getBuilder()`
Gets a builder from the pool.
`Document`
ParserPool.`newDocument()`
Convenience method for creating a new document with a pooled builder.
`Document`
ParserPool.`parse(InputStream input)`
Convenience method for parsing an XML file using a pooled builder.
`Document`
ParserPool.`parse(Reader input)`
Convenience method for parsing an XML file using a pooled builder.

## Uses of XMLParserException in net.shibboleth.shared.xml.impl

Methods in net.shibboleth.shared.xml.impl that throw XMLParserException
Modifier and Type
Method
Description
`protected DocumentBuilder`
BasicParserPool.`createBuilder()`
Creates a new document builder.
`DocumentBuilder`
BasicParserPool.`getBuilder()`
Gets a builder from the pool.
`Document`
BasicParserPool.`newDocument()`
Convenience method for creating a new document with a pooled builder.
`Document`
BasicParserPool.`parse(InputStream input)`
Convenience method for parsing an XML file using a pooled builder.
`Document`
BasicParserPool.`parse(Reader input)`
Convenience method for parsing an XML file using a pooled builder.